<?php
//funkcija call za ucitavanje odredjenog kontrolera 
//i akcije tog kontrolera odnosno neke veb strane
function call($controller, $akcija) {
    require_once('controllers/' . $controller . '_controller.php');

    switch ($controller) {
        case 'gost':
            $controller = new Gost();
            break;
        case 'student':
            $controller = new Student();
            break;
        case 'nastavnik':
            $controller = new Nastavnik();
            break;
    }

    $controller->$akcija();
}

//niz sa kontrolerima i svim akcijama tih kontrolera
$controllers = array('gost' => ['index', 'ulogujse','potvrda'],
                    'student' => ['student', 'pretraga'],
                    'nastavnik' => ['nastavnik', 'unosocene', 'potvrdiunos']);

if (array_key_exists($controller, $controllers)) {
    if (in_array($akcija, $controllers[$controller])) {
        call($controller, $akcija);
    } else {
        call('gost', 'greska');
    }
} else {
    call('gost', 'greska');
}
?>